Subject: [MBONED] Fwd: [homegate] Homegate and Multicast

From: Marshall Eubanks <[email-masked]>
Date: Tue, 16 Jun 2009 10:16:10 -0400

I just wanted to alert WG members to a discuss I am trying to start  
over on the HomeGate BOF list.

Regards
Marshall

Begin forwarded message:

> From: Marshall Eubanks <[email-masked]>
> Date: June 16, 2009 6:27:52 AM EDT
> To: [email-masked]
> Cc: Greg Shepherd <[email-masked]>, Leonard Giuliano <[email-masked] 
> >
> Subject: [homegate] Homegate and Multicast
>
> I have been wading through all of this, and was surprised to see no  
> mention
> of multicast in
>
> <http://trac.tools.ietf.org/bof/trac/raw-attachment/wiki/WikiStart/HomeGate%20BoF%20Proposal%20-%20IETF%2075%20-%20v7.pdf 
> >
>
> A blow to the first round of multicast deployments (almost a decade  
> ago now!) was the inability of
> most of the then current home routers to support things such as IGMP  
> proxying. If the IETF is going to specify a
> new effort to specify home gateways, then in my opinion this  
> specification should support at least SSM multicast reception  
> properly.
>
> Supporting multicast in the home environment is becoming common in  
> video deployments, but the end user typically
> does not see this on their home network and there is very little  
> multicast support to the end user (instead of just to their set top  
> boxes). However,
> the trend in the industry is towards merging the reception of
> Internet-transported video and provider-transported video into  
> common hardware platforms. Internet video
> would certainly benefit from support of multicast reception, and  
> there seems to be a recognition of that in the industry. The  
> CableLabs document "IPv4 and IPv6 eRouter Specification"
> http://www.cablelabs.com/specifications/CM-SP-eRouter-I03-070518.pdf
>
> states as their goal :
>
> The specification defines a) CPE provisioning with IPv4 and IPv6  
> addresses, b) IPv4 data forwarding with NAPT
> and IPv6 data forwarding, c) Ability to forward IP Multicast traffic  
> and d) Preserving IP QoS markings on IP data
> to and from the CPE devices.
>
> and includes sections on IGMP proxing as well as v4 and v6 multicast  
> support. The other two documents mentioned as
> parallel efforts :
>
> Broadband Forum TR-124 defines a set of modular functional  
> requirements for broadband residential gateways:http://www.broadband-forum.org/technical/download/TR-124.pdf 
> .
>
> The Home Gateway Initiative also has a Home Gateway Requirements:  
> Residential Profile document:http://www.homegatewayinitiative.org/publis/HGI_V1.01_Residential.pdf 
> .
>
> also include multicast support.
>
> So, while I support this effort, I would like to see multicast SSM  
> added to Theme 1.
>
> Regards
> Marshall
>
> P.S. Can I also suggest that what is basically a text file BOF  
> charter should be served as a text file in the usual
> fashion ?
>
> _______________________________________________
> homegate mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homegate
>